Subject: How does JSSE interact with OpenSSL ?

From: "Arthur Chan" <[email-masked]>
Date: Tue, 12 Aug 2003 09:25:02 +0800

Hi All,
Well it seems to me with java's URLConnection as distinct from
HttpURLConnection, *some* data slip through un-encrypted. Oddly, only data
declared as "text" e.g. Oracle's VARCHAR2, slip through into the Net in
human readible form.
First, I thought JSSE is part of the standard install for j2sdk1.4 , second
I imagined that using URLConnection, somehow automagically the data will be
encrypted by OpenSSL when going through apache mod_ssl.
Does anyone know how JSSE and OpenSSL interact ??? I mean, the only way
around this dilemma is to programmatically encrypt the data before sending
it through openssl. Does that sound odd to anyone  :-o  ???

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]